Back to top

DAP++ SDK 3.7.3 (27 Nov 2006)

Submitted by jimg on Mon, 11/27/2006 - 13:16

The 3.7.3 version of libdap++ includes new features and an implementation change, which now returns the DAP protocol version number, 3.1, in an HTTP response header. It also contains an implementation of the DDX object/response. The 3.7.3 version of libdap is required for the soon-to-be beta release of Server4. This version of libdap contains a beta release of the server-side functions geogrid(), geoarray(), linear_scale() and version(). These can be used to select parts of Grids and Arrays using latitude and longitude values instead of array position indexes. The linear_scale() function can be used to scale variables (including those return by other function) using 'y = mx + b'. The version() function can be used to find out which versions of the functions are installed.

*We skipped the 3.7.0 to 3.7.2 public releases.


Windows Win32
Win32 package and Win32 Prerequisites Package
Mac OS/X Mac OS/X
OS/X 10.4 (Tiger) package
Intel Mac
Linux Tux Logo Linux (x86_64/i386)
Fedora Core 4, RPMs (gcc 4.0)
Linux Tux Logo Linux (i386)
Red Hat Enterprise Linux 3, RPMs (gcc 3.2.3)
Sun SPARC/Solaris SPARC/Solaris
Solaris 2.6
IRIX 6.5

Required packages

The libdap 3.7.3 software requires libcurl 7.10.6, libxml2 2.5.7 and a modern pthreads library. To build from a fresh SVN checkout, you'll need automake 1.9.6, autoconf 2.59 and libtool 1.5.18.

Mac OS/X Mac OS/X 10.4 or greater
You will need to install libxml2; libcurl and pthreads are already present. See the third-party software page or go directly to the libxml2 page.
Linux Tux Logo Linux (x86_64/i386)
Modern versions of Linux come with the needed libraries.
Sun SPARC/SolarisSGI Icon SPARC/Solaris, SGI/IRIX
For these and other Unix distributions you will need to get libcurl, libxml and maybe pthreads. See the third-party software page.

Source code

Version 3.7.3
tar.gz . Required: libcurl, libxml2 and pthreads. See above.

Contributed builds

Version 3.7.3
Contributed: Sharing your binary builds for those operating systems not available here.